# Get Applicant Document

`GET https://api.agilitycredit.net/v3/applicant-documents/{file_id}`

Docs page: https://apidocs.agilitycredit.com/api/get-applicant-document · Tag: Documents

This endpoint returns applicant document using a file ID.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `file_id` | path | yes | File ID for the applicant |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header | yes | Applicant ID - this cannot be empty |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Applicant document request processed successfully | AppDocResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
Top-level 200 fields: `created_at`, `updated_at`, `id`, `filename`, `category`, `mime_type`, `size`, `download_url`.

### Error bodies

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
